split.xcmsSet {xcms} | R Documentation

## Divide an xcmsSet object

### Description

Divides the samples and peaks from a `xcmsSet` object into a list of multiple objects. Group data is discarded.

### Arguments

`xs` | `xcmsSet` object
`f` | factor such that `factor(f)` defines the grouping
`drop` | logical indicating if levels that do not occur should be dropped (if 'f' is a 'factor' or a list).
`...` | further potential arguments passed to methods.

### Value

A list of `xcmsSet` objects.

### Methods

xs = "xcmsSet"
  `split(x, f, drop = TRUE, ...)`

### Author(s)

Colin A. Smith, csmith@scripps.edu

### See Also

`xcmsSet-class`

[Package xcms version 1.16.3 Index]